﻿html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

/* DAVID from here */
/* sticky footer */
/*
html {
    height: 100%;
}

body {
    height: 100%;
}

#sticky-footer-wrapper {
    min-height: 100%;
    margin: 0 auto -50px;
}

#sticky-footer, #sticky-footer-push {
    min-height: 50px;
}
    */
/* stick footer end */

/* site-header */

/*.site-header {
    border-radius: 5px;
    margin: 0.2em;
    line-height: 3.5em;
}

.site-header {*/ /*padding-top:1.0em; padding-bottom:1.0em;*/
    /*background: black;
}

    .site-header .logo {*/ /*margin-left:5px; margin-right:5px;*/
        /*max-width: 350px;
        float: left;
        font-size: 2.5em;
        color: white;
    }

.logo:hover,
.log:focus {
    text-decoration: none;
}*/

/* site footer */
./*site-footer {
    background-color: black;
    color: white;
    font-size: 0.8em;
    line-height: 2.0em;
}

.site-footer {
    border-radius: 5px;
    margin: 0.2em;
    padding-left: 0.2em;
}
*/

/* */
.forecastInfo dl {
    padding: 0.1em;
}

.forecastInfo dt {
    float: left;
    clear: left;
    width: 160px;
    text-align: left;
    font-weight: bold;
}

.forecastInfo dd {
    margin: 0 0 0 110px;
    padding: 0 0 0.1em 0;
}

.forecastInfo dt::after {
    content: ":";
}

.wxReadings dl {
    padding: 0.1em;
}

.wxReadings dt {
    float: left;
    clear: left;
    width: 160px;
    text-align: left;
    font-weight: bold;
}

.wxReadings dd {
    margin: 0 0 0 110px;
    padding: 0 0 0.1em 0;
}

.wxReadings dt::after {
    content: ":";
}

/* see https://stackoverflow.com/questions/34141950/how-to-use-tick-checkmark-symbol-instead-of-bullets-in-unordered-list */
.todo-list {
    list-style-type: circle;
}

.done-list {
    list-style-type: '\2713  ';
}
/*.done-list li:before {
    content: '✓';
}*/

/*.wxReadings td { padding:2px 5px 2px 5px; }
td.value { text-align:right; }*/

.wxGraphContainer {
    position: relative;
    text-align: center;
}

.cameraImageContainer {
    position: relative;
    text-align: center;
}

.centered {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.outOfDate {
    background-color: white;
    padding: 20px;
}

.warning {
    color: red;
    font-size: large;
    font-weight: bold;
}

.info {
    color: darkblue;
    font-size: large;
    font-weight: bold;
}

div.warning::before {
    content: "⚠ ";
    font-size: large;
}

div.info::before {
    content: "🛈 ";
    font-size: large;
}

article.forecast-section {
    padding-top: 1em;
    padding-bottom: 1em;
}

article.notices-section {
    padding-top: 1em;
    padding-bottom: 1em;
}

div.outlook-section {
    padding-top: 0.5em;
    padding-bottom: 0.5em;
}

h4, outlook-section {
    font-weight: bolder;
}

table.day-summary {
}

th, day-summary {
    padding: 0.5em 0.5em 0.5em 0.5em;
    vertical-align: top;
}

td, day-summary {
    padding: 0.5em 0.5em 0.5em 0.5em;
    vertical-align: top;
}

.ar {
    text-align: right;
}


tr.old {
    visibility: collapse;
    color: gray;
    font-weight: lighter;
    font-style: italic;
}

.lastUpdate {
    font-weight: lighter;
}

    .lastUpdate .ageText {
        font-style: italic;
    }

.icon-bar {
    width: 100%;
    background-color: #555;
    overflow: auto
}

    .icon-bar a {
        float: left;
        /*width: 20%;*/
        text-align: center;
        padding: 6px;
        transition: all 0.3s ease;
        color: white;
        font-size: 20px;
    }

        .icon-bar a:hover {
            background-color: #000;
        }

.active {
    background-color: #007;
}

/*
    Outlook items
*/
.synopsis div {
    padding: 0 0 0.1em 0;
}